forkstat (0.03.00-1) unstable; urgency=medium

  * Makefile: bump version to 0.03.00
  * Debian/control: update standards version to 4.6.1
  * Remove redundant null check on ptr
  * Update copyright
  * forkstat: remove redundant assignment to ptr
  * Add STAT_NONE to event_t enum and use it instead of 0

 -- Colin Ian King <colin.i.king@gmail.com>  Tue, 6 Dec 2022 12:12:12 +0000

forkstat (0.02.17-1) unstable; urgency=medium

  * Makefile: bump version
  * forkstat.c: Update copyright
  * Makefile: update copyright
  * Makefile: add README.md to dist rule
  * manual: update date, author email and copyright
  * debian/watch: update watch path for tarball, move to version 4
  * debian/copyright: Update copyright and git URL
  * debian/control: update author email address and project URL
  * Add README.md
  * snapcraft: add build architectures
  * snapcraft: update to core20
  * update copyright to 2021

 -- Colin Ian King <colin.i.king@gmail.com>  Mon, 15 Nov 2021 19:40:22 +0000

forkstat (0.02.16-1) unstable; urgency=medium

  * Makefile: bump version
  * forkstat: handle weird comm field in /proc/$PID/stat
  * conditionally build in helper functions
  * only declare variables when they are required
  * snapcraft: replace version-script with an override

 -- Colin King <colin.king@canonical.com>  Sat, 7 Nov 2020 16:09:23 +0000

forkstat (0.02.15-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian/control: update compat to 13, remove compat file,
    add Rules-Requires-Roo t rule
  * Zero ws struct to clear static analysis warnings

 -- Colin King <colin.king@canonical.com>  Sat, 4 Jul 2020 11:16:22 +0100

forkstat (0.02.14-1) unstable; urgency=medium

  * Makefile: bump version
  * Add effictive user id (EUID) for -x option (Closes: #951340)

 -- Colin King <colin.king@canonical.com>  Fri, 28 Feb 2020 15:02:41 +0000

forkstat (0.02.13-1) unstable; urgency=medium

  * Makefile: bump version
  * Add bash completion
  * Update copyright to 2020

 -- Colin King <colin.king@canonical.com>  Wed, 26 Feb 2020 00:16:18 +0000

forkstat (0.02.12-1) unstable; urgency=medium

  * Makefile: bump version
  * Remove no-op free_proc_comm call on an unknown comm field
  * Return no info rather than NULL if proc_info_get returns NULL
  * Re-work unknown cmdline information

 -- Colin King <colin.king@canonical.com>  Fri, 13 Dec 2019 19:59:11 +0000

forkstat (0.02.11-1) unstable; urgency=medium

  * Makefile: bump version
  * Debian: update compat to 12
  * fix off-by-one end of string strncpy bug in tty name copying
  * snapcraft: make versioning automatic

 -- Colin King <colin.king@canonical.com>  Mon, 12 Aug 2019 14:15:16 +0100

forkstat (0.02.10-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix spelling mistake in manual
  * Update copyright year

 -- Colin King <colin.king@canonical.com>  Sat, 6 Jul 2019 22:38:22 +0100

forkstat (0.02.09-1) unstable; urgency=medium

  * Makefile: bump version
  * Manual: update date
  * Add -X option, fix up short getopts help with missing options
  * forkstat: add in -c option in help info

 -- Colin King <colin.king@canonical.com>  Tue, 4 Dec 2018 11:11:11 +0000

forkstat (0.02.08-1) unstable; urgency=medium

  * Makefile: bump version
  * Reduce scope of pointer ptr
  * Use unsigned int for %u format specifiers
  * Update date in manual
  * Add -c comm field info, also track comm field changes in proc info

 -- Colin King <colin.king@canonical.com>  Sat, 1 Dec 2018 11:13:14 +0000

forkstat (0.02.07-1) unstable; urgency=medium

  * Makefile: bump version
  * remove '\r' and '\n' from command line process name

 -- Colin King <colin.king@canonical.com>  Tue, 20 Nov 2018 15:12:01 +0000

forkstat (0.02.06-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: rename snapcraft to snap in dist rule
  * Add some extra paranoid clearing of tty and strncpy length,
    fixes potential buffer overrun
  * Remove some extraneous tabs
  * Add some extra function comments
  * Add caching of dev to tty name lookup to fix expensive lookups
  * Add caching of uid to name lookup, print username rather than uids
    to fix expensive lookups
  * forkstat: pack structs a little more efficiently to save memory
  * Fix typo in comment
  * Move snapcraft directory to snap

 -- Colin King <colin.king@canonical.com>  Wed, 26 Sep 2018 09:48:11 +0100

forkstat (0.02.05-1) unstable; urgency=medium

  * Makefile: bump version
  * Manual, change -e all to -E in example to show alternate form
  * Reformat some lines, comments and overly wide scanf
  * Minor code clean ups
  * Ensure all fields in no_info are initialized
  * Manual: Fix process table information formatting
  * Voidify function returns
  * Add more constifications
  * Add -E (enable all events) option
  * PROC_EVENT_COREDUMP has been introduced in kernel version 3.10
  * Replace curved corner glyph with square corner

 -- Colin King <colin.king@canonical.com>  Fri, 13 Jul 2018 07:49:44 +0100

forkstat (0.02.04-1) unstable; urgency=medium

  * Makefile: bump version
  * Add .travis.yml to make dist rule
  * Makefile + debian/watch: produce a .xz tarball
  * Fix checking on zero sized reads
  * Add detection of first time all alive processes were started
  * Use UTF-16 codes for glyphs
  * Add travis build yaml file

 -- Colin King <colin.king@canonical.com>  Tue, 10 Jul 2018 13:32:23 +0100

forkstat (0.02.03-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/control: update debhelper to >= 11
  * debian/compat: update to 11
  * debian/copyright: replace http with https for secure URL
  * debian/control: remove trailing line
  * Add -g option to mini-help
  * Add -g glyph annotations
  * Add faster container check for systemd based systems
  * Add snapcraft plugins

 -- Colin King <colin.king@canonical.com>  Fri, 8 Jun 2018 16:16:17 +0000

forkstat (0.02.02-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/control: update Standards-Version to 4.1.2
  * ensure tty string never overflows, fixes gcc warning
  * include <sys/uio.h> to fix clang warning
  * Add -x option into mini help

 -- Colin King <colin.king@canonical.com>  Thu, 4 Jan 2018 22:53:12 +0000

forkstat (0.02.00-1) unstable; urgency=medium

  * Makefile: update version and change codename
  * Minor tweaks to the manual, cosmetic changes
  * Move arrays to end of stacks to help avoid any stack smashing
  * Minor source clean-up
  * Avoid TOCTOU race on stat + open
  * Use alternative ptrace pid info
  * Add -x extra UID and TTY information option
  * Add uid/sid event tracing
  * Display name of events on -e option when invalid event used
  * Add ptrace event spying
  * Fix realtime flag opts mask
  * Fix -r help option
  * Add extra spacing in heading as it is offset by one after PID
  * Remove old set_priority code now that -r replaces it
  * Manpage: fix pdf warning:
  * Makefile: add pdf man page rule and add .PHONEYs
  * Add Philipp Gesang to the man page for kudos for contributions.
  * Add -r real time scheduling option
  * Put help options into one large printf statement

 -- Colin King <colin.king@canonical.com>  Sat, 24 Jun 2017 20:42:58 +0100

forkstat (0.01.19-1) unstable; urgency=medium

  * Makefile: bump version again
  * Debian/control: update standards version to 4.0.0
  * Update man page date
  * forkstat: add flag for line buffered output

 -- Colin King <colin.king@canonical.com>  Wed, 21 Jun 2017 17:51:15 +0100

forkstat (0.01.18-1) unstable; urgency=medium

  * Makefile: bump version
  * Only add proc_info if strtol parses pid correctly.
  * snapcraft: add default type and grade keys

 -- Colin King <colin.king@canonical.com>  Tue, 20 Jun 2017 10:01:27 +0100

forkstat (0.01.17-1) unstable; urgency=medium

  * Makefile: bump version
  * Manual: update copyright year and manual date
  * Makefile: add snapcraft to make dist rule
  * Add variable pid size handling.
  * Remove redundant free on a null pointer
  * Add snapcraft
  * Update copyright year
  * Manual: expand width of columns to 5i

 -- Colin King <colin.king@canonical.com>  Fri, 14 Apr 2017 17:37:57 +0100

forkstat (0.01.16-1) unstable; urgency=medium

  * Makefile: bump version
  * Make kernel_tasks const
  * unconstify arg in parse_ev to fix pedantic build warning
  * Clean up formatting on ev_map table
  * constify s1 and s2
  * Makefile: add PEDANTIC build flags

 -- Colin King <colin.king@canonical.com>  Mon, 7 Nov 2016 14:14:14 +0100

forkstat (0.01.15-1) unstable; urgency=medium

  * Makefile: bump version
  * forkstat: make counters size_t
  * forkstat: voidify return from fclose
  * Debian: fix spelling mistake in changelog

 -- Colin King <colin.king@canonical.com>  Thu, 6 Oct 2016 10:24:19 +0100

forkstat (0.01.14-1) unstable; urgency=medium

  * Makefile: bump version
  * debian/control: update Standards-Version to 3.9.8
  * debian/rules: make build reproducible (Closes: #833439)
  * Update copyright year to 2016

 -- Colin King <colin.king@canonical.com>  Thu, 11 Aug 2016 10:06:44 +0100

forkstat (0.01.13-1) unstable; urgency=medium

  * Makefile: bump version
  * Add in OPT_EV_CLNE events if event mask not specified
  * Debian: control: update dephelper to >= 9
  * Debian: update compat to 9
  * Add -e clone option to trace thread cloning
  * Ensure hash is unsigned, otherwise we get -ve hash

 -- Colin King <colin.king@canonical.com>  Mon, 30 Nov 2015 13:01:02 +0000

forkstat (0.01.12-1) unstable; urgency=medium

  * Makefile: bump version
  * Add COPYING file to make dist
  * Makefile: default to -O2
  * Use strrok instead of strtok_r
  * Add COPYING file
  * Move next ptrs in structs to top to reduce cache thrashing
  * Use more efficient hash function

 -- Colin King <colin.king@canonical.com>  Thu, 12 Nov 2015 10:04:00 +0000

forkstat (0.01.11-1) unstable; urgency=medium

  * Makefile: bump version
  * Try to run at high priority to capture fast activity
  * Print "fork" or "clone" depending on what we deduced
  * Add detection of thread creation rather

 -- Colin King <colin.king@canonical.com>  Tue, 9 Jun 2015 19:15:00 +0100

forkstat (0.01.10-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: add mascot in make dist rule
  * Cleanup variable warnings with different values of LINUX_VERSION_CODE
  * Make a few more functions static, somehow overlooked these
  * Remove sig handling on SIGILL, SIGABRT, SIGBUS
  * Reduce scope of variable len (fixes cppcheck style warning)
  * Manual: update copyright info and date
  * forkstat.c: update copyright year
  * Makefile: Add copyright
  * Add in forkstat svg mascot

 -- Colin King <colin.king@canonical.com>  Mon, 18 May 2015 15:31:00 +0100

forkstat (0.01.09-1) unstable; urgency=medium

  * Makefile: bump version
  * Fix spin loop on stats list, add more exit points on signal
  * Remove siginterrupt
  * Debian: update standards version
  * Add better signal handling
  * Handle gettimeofday failures
  * Handle time() errors
  * Handle -ve differences in totals
  * Improve error reporting
  * Ignore returns from close(), fclose()
  * Remove trailing . from forkstat man page title

 -- Colin King <colin.king@canonical.com>  Fri, 19 Dec 2014 15:19:00 +0000

forkstat (0.01.08-1) unstable; urgency=medium

  * Add deb build hardening
  * Makefile: bump version
  * Handle -ENOBUFS on recv, this is not a terminal error
  * fix up man page, minor changes to formatting

 -- Colin King <colin.king@canonical.com>  Thu, 3 Jul 2014 13:42:00 +0100

forkstat (0.01.07-1) unstable; urgency=medium

  * Malefile: bump version again
  * Reference comm field and not coredump field in COMM event

 -- Colin King <colin.king@canonical.com>  Thu, 22 May 2014 18:49:22 +0100

forkstat (0.01.06-1) unstable; urgency=medium

  * Makefile: bump version
  * Clean up code, add some more comments
  * Check for different proc connector support against kernel versions

 -- Colin King <colin.king@canonical.com>  Thu, 22 May 2014 18:24:11 +0100

forkstat (0.01.05-1) unstable; urgency=low

  * Makefile; bump version
  * Use strtol rather than atoi to avoid any number parsing overflows or errors
  * Minor clean up of man page

 -- Colin King <colin.king@canonical.com>  Sun, 18 May 2014 23:45:54 +0100

forkstat (0.01.04-1) unstable; urgency=low

  * Makefile: bump version
  * Forgot to add -q option to mini help
  * Add -q option to run quietly while gathering stats
  * Ensure we have null at end of cmdline buffer
  * Update mini help info
  * Add -D option to specify duration of forkstat run
  * Add -S statistics option
  * comm should be checking the comm field and not the coredump field
  * Add comm and core dump event handling and -e option
  * Remove need to link with math library
  * Fix proc names such as /sbin/init which were being truncated
  * More optimal short cmdline truncation

 -- Colin King <colin.king@canonical.com>  Wed, 19 Mar 2014 17:46:51 +0000

forkstat (0.01.03-1) unstable; urgency=low

  * Makefile: bump version again
  * Makefile: improve make dist, don't use git

 -- Colin King <colin.king@canonical.com>  Mon, 17 Mar 2014 19:32:11 +0000

forkstat (0.01.02-1) unstable; urgency=low

  * Makefile: bump version
  * Correct debian copyright, set to GPL-2+

 -- Colin King <colin.king@canonical.com>  Mon, 17 Mar 2014 18:57:22 +0000

forkstat (0.01.01-1) unstable; urgency=low

  * Initial Debian release (Closes: #741926)
  * Make debian/rules executable
  * Makefile: bump version
  * Minor fix to man page
  * Add more info about process naming in man page
  * Add kernel thread detection
  * Make print_heading static
  * Change "Command" to "Process" to show process name
  * Remove redundant select and fix error handling on netlink connect
  * Fix fd lead on comm field read
  * Fix gcc warning on older versions of gcc

 -- Colin King <colin.king@canonical.com>  Mon, 17 Mar 2014 10:53:31 +0000

forkstat (0.01.00-1) unstable; urgency=low

  * Initial release

 -- Colin King <colin.king@canonical.com>  Sun, 16 Mar 2014 19:12:11 +0000
